%global base_name    xdg-desktop-portal-kde
# Version required for Session support.
#%%global xdg_desktop_portal_version 0.5
%global xdg_desktop_portal_version 0.9
#%%global flatpak_version 0.8.7
%global flatpak_version 0.10.2

Name:           xdg-desktop-portal-kde
Summary:        Backend implementation for xdg-desktop-portal using Qt/KF5
Version:        5.10.5
Release:        1.2%{?dist}

License:        GPLv2+
URL:            https://cgit.kde.org/%{base_name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/plasma/%{version}/%{base_name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-private-devel
# libQt5PrintSupport.so.5(Qt_5_PRIVATE_API)(64bit)
#%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Notifications)

BuildRequires:  pkgconfig(xdg-desktop-portal) >= %{xdg_desktop_portal_version}
BuildRequires:  flatpak >= %{flatpak_version}


Requires:       xdg-desktop-portal >= %{xdg_desktop_portal_version}
Requires:       flatpak >= %{flatpak_version}

%description
A backend implementation for xdg-desktop-portal that is using Qt/KF5 and various
pieces of KDE infrastructure.


%prep
%autosetup -n %{base_name}-%{version} -p1

%build
mkdir "%{_target_platform}"
pushd "%{_target_platform}"
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C "%{_target_platform}"


%install
make install/fast DESTDIR="%{buildroot}" -C "%{_target_platform}"

%find_lang "%{name}"


%post -p /sbin/ldconfig

%files -f "%{name}.lang"
%license COPYING
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.kde.service
%{_datadir}/xdg-desktop-portal/portals/kde.portal

%changelog
* Sun May 06 2018 Tomasz Tomasik <scx.mail@gmail.com> - 5.10.5-1.2
- Fix bug in SPEC file
- Rebuilt for EL7

* Sun May 06 2018 Tomasz Tomasik <scx.mail@gmail.com> - 5.10.5-1.1
- SPEC file cleanups
- Rebuilt for EL7

* Thu Aug 24 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.10.5-1
- 5.10.5

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 21 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.10.4-1
- 5.10.4

* Wed Jun 28 2017 Martin Kyral <martin.kyral@gmail.com> - 5.10.3-1
- 5.10.3

* Wed Jun 14 2017 Martin Kyral <martin.kyral@gmail.com> - 5.10.2-1
- 5.10.2

* Wed May 31 2017 Martin Kyral <martin.kyral@gmail.com> - 5.10.0-1
- 5.10.0 (new package)
